<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:1d17d0f3-f872-49c3-a28f-8a8966ee8181,g:c0d2f708-836e-4d45-ac82-672ddd89c05f-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:olpx="http://olaplex.com/20230428" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://olaplex.com/20230428">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei-sub/2022q4" schemaLocation="https://xbrl.sec.gov/dei/2022q4/dei-sub-2022q4.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd-sub/2022q4" schemaLocation="https://xbrl.sec.gov/ecd/2022q4/ecd-sub-2022q4.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="olpx-20230428_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="olpx-20230428_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="olpx-20230428_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="olpx_EquityAwardAdjustmentsMember" abstract="true" name="EquityAwardAdjustmentsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="olpx_EquityAwardsGrantedInPriorYearsVestedMember" abstract="true" name="EquityAwardsGrantedInPriorYearsVestedMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="olpx_EquityAwardsThatFailedToMeetVestingConditionsMember" abstract="true" name="EquityAwardsThatFailedToMeetVestingConditionsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="olpx_AdjustmentToCompensationAmountEquityAwards" abstract="false" name="AdjustmentToCompensationAmountEquityAwards" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="olpx_EquityAwardsGrantedInPriorYearsUnvestedMember" abstract="true" name="EquityAwardsGrantedInPriorYearsUnvestedMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="olpx_EquityAwardsReportedValueMember" abstract="true" name="EquityAwardsReportedValueMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="olpx_EquityAwardsGrantedDuringTheYearUnvestedMember" abstract="true" name="EquityAwardsGrantedDuringTheYearUnvestedMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="olpx_EquityAwardsGrantedDuringTheYearVestedMember" abstract="true" name="EquityAwardsGrantedDuringTheYearVestedMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
</xs:schema>
